import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _TKTokenWatcherTokenInfo extends _NSObject {
    static alloc(): _TKTokenWatcherTokenInfo;
    static new(): _TKTokenWatcherTokenInfo;
    init(): _TKTokenWatcherTokenInfo;
    /** TokenID */
    tokenID(): _NSString;
    /** The slot name (if available) */
    slotName(): _NSString | null;
    /** Localized driver name (if available) */
    driverName(): _NSString | null;
}
